package net.ligent.students.transportation;

import static org.junit.Assert.*;

import org.junit.Test;

public class ArrayBasedVehicleTestDataSourceTest {

	@Test
	public void testProperInitializationOfTestDataSource() {
		ArrayBasedVehicleTestDataSource source = new ArrayBasedVehicleTestDataSource();
		// expect 5 test vehicles that are Cars
		for (int i = 1; i <= 5; i++) {
			Vehicle vehicle = source.getNextVehicle();
			assertTrue(vehicle instanceof Car);
		}
		
		// expect 5 test vehicles that are Motorcycles
		for (int i = 1; i <= 5; i++) {
			Vehicle vehicle = source.getNextVehicle();
			assertTrue(vehicle instanceof Motorcycle);
		}		
		
		// expect data exhausted
		assertNull(source.getNextVehicle());

	}

}
